//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAweb.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class tblHoaDon
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public tblHoaDon()
        {
            this.tblCTHoaDons = new HashSet<tblCTHoaDon>();
        }
    
        public int MaHD { get; set; }
        public string TenTaiKhoan { get; set; }
        public Nullable<System.DateTime> NgayMua { get; set; }
        public string DiaChiGiaoHang { get; set; }
        public string SDTGiaoHang { get; set; }
        public Nullable<decimal> TongTien { get; set; }
        public string TrangThai { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<tblCTHoaDon> tblCTHoaDons { get; set; }
        public virtual tblTaiKhoan tblTaiKhoan { get; set; }
    }
}
